
import { request } from '@umijs/max';


export default {
    /**
     * 新增料仓
     * @param parms 
     * @returns 
     */
    Add(parms: StockTypes.Info) {
        return request('/api/stockinfo/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: StockTypes.StockInfoDelInput) {
        return request(`/api/stockinfo/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: StockTypes.Info) {
        return request('/api/stockinfo/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/stockinfo/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List() {
        return request('/api/stockinfo/list', {
            method: 'POST'
        });
    },
    /**
    * 未绑定的设备列表
    * @param parms 
    * @returns 
    */
    UnBindList() {
        return request('/api/stockinfo/UnBindList', {
            method: 'GET'
        });

    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: StockTypes.Page) {
        return request('/api/stockinfo/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    // /**
    //  * 批量更新
    //  * @param parms 
    //  * @returns 
    //  */
    // BatchUpdate(parms: StockTypes.BatchAdd) {
    //     return request('/api/Stockrecipe/batchupdate', {
    //         method: 'POST',
    //         data: parms
    //     });
    // },
     /**
     * 根据设备Id查询配方信息
     * @param parms 
     * @returns 
     */
    RecipeList(id: string){
        return request(' api/stockrecipe/list', {
            method: 'POST',
            data: {
                StockId: id
            }
        });
    },
    // 料仓下拉列表
    selectlist(){
        return request('/api/stockinfo/selectlist',{
            method :'GET'
        })
    }
}